"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports["default"] = function (context) {
  return {
    "Program": function Program(n) {
      var body = n.body,
          absoluteFirst = context.options[0] === 'absolute-first';
      var last = -1,
          anyRelative = false;
      body.forEach(function (node, i) {
        if (node.type === "ImportDeclaration") {
          if (absoluteFirst) {
            if (/^\./.test(node.source.value)) {
              anyRelative = true;
            } else if (anyRelative) {
              context.report(node.source, 'Absolute imports should come before relative imports.');
            }
          }
          if (i !== ++last) {
            context.report(node, 'Import in body of module; reorder to top.');
          }
        }
      });
    }
  };
};

module.exports = exports["default"];